<template>
    <tr>
        <td>{{ fichier.libelle }}</td>
        <td><ListeNiveaux v-model="fichier.niveau" /></td>
        <td>
            <ListeTypeExercice
                @action="changerTypeProbleme"
                :typeProp="fichier.typeProbleme"
                :affichageVide="true"
                :upload="true"
            />
        </td>
        <td>
            <input
                v-if="!parametrage"
                type="text"
                class="uk-input"
                v-model="fichier.titre"
            />
        </td>
        <td>
            <input
                v-if="!parametrage"
                type="number"
                class="uk-input"
                v-model.number="fichier.ordreAffichage"
            />
        </td>
        <td>
            <span
                v-if="!parametrage"
                uk-icon="icon: close; ratio: 1"
                @click="supprimer()"
            />
        </td>
    </tr>
</template>

<script lang="ts">
import Vue from 'vue';
import { Component, Prop } from 'vue-property-decorator';
import FichierImport from './FichierImport';
import ListeNiveaux from '@/components/presentation/ListeNiveaux.vue';
import ListeTypeExercice from '@/components/presentation/ListeTypeExercice.vue';
@Component({
    components: { ListeNiveaux, ListeTypeExercice }
})
export default class RepresentationFichier extends Vue {
    @Prop() fichier: FichierImport;
    @Prop() parametrage: boolean;

    private changerTypeProbleme(type: string) {
        this.fichier.typeProbleme = type;
    }

    private supprimer() {
        this.$emit('supprimer', this.fichier);
    }
}
</script>
